Skip to main content
POST
/
v1
/
users
/
seats
/
assignment
curl --request POST \ --url https://api.coderabbit.ai/v1/users/seats/assignment \ --header 'Content-Type: application/json' \ --header 'x-coderabbitai-api-key: <api-key>' \ --data ' { "mode": "manual" } '
{
  "mode": "manual"
}

Update Seat Assignment Mode

To retrieve the current seat assignment mode, use the Users endpoint. The seat assignment mode is included in the response.
Requires Admin role. See Role-based access for details.
Only available for fully self-hosted organizations. See Seat assignment for details on assignment modes.

Authorizations

x-coderabbitai-api-key
string
header
required

API key for authentication. You can create an API key from the CodeRabbit dashboard.

Headers

x-coderabbitai-api-key
string
required

Your CodeRabbit API key

Body

application/json

Request to update the seat assignment mode

mode
enum<string>
required

The seat assignment mode to set. 'automatic' auto-assigns seats when CodeRabbit is tagged; 'manual' requires admin approval.

Available options:
automatic,
manual

Response

Seat assignment mode updated successfully

Seat assignment mode for the organization

mode
enum<string>
required

The current seat assignment mode. 'automatic' means new developers are auto-assigned seats when CodeRabbit is tagged; 'manual' requires admin approval.

Available options:
automatic,
manual